test_gns_plus_lookup.sh 1.3 KB

1234567891011121314151617181920212223242526272829303132333435363738
  1. #!/bin/bash
  2. trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
  3. LOCATION=$(which gnunet-config)
  4. if [ -z $LOCATION ]
  5. then
  6. LOCATION="gnunet-config"
  7. fi
  8. $LOCATION --version 1> /dev/null
  9. if test $? != 0
  10. then
  11. echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
  12. exit 77
  13. fi
  14. which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
  15. rm -rf /tmp/test-gnunet-gns-peer-1/
  16. TEST_IP="127.0.0.1"
  17. gnunet-arm -s -c test_gns_lookup.conf
  18. gnunet-identity -C delegatedego -c test_gns_lookup.conf
  19. DELEGATED_PKEY=$(gnunet-identity -d -c test_gns_lookup.conf | grep delegatedego | awk '{print $3}')
  20. gnunet-identity -C testego -c test_gns_lookup.conf
  21. gnunet-namestore -p -z testego -a -n b -t PKEY -V $DELEGATED_PKEY -e never -c test_gns_lookup.conf
  22. gnunet-namestore -p -z delegatedego -a -n '+' -t A -V $TEST_IP -e never -c test_gns_lookup.conf
  23. RES_IP=`$DO_TIMEOUT gnunet-gns --raw -z testego -u b.gnu -t A -c test_gns_lookup.conf`
  24. gnunet-namestore -z testego -d -n b -t PKEY -V $DELEGATED_PKEY -e never -c test_gns_lookup.conf
  25. gnunet-namestore -z delegatedego -d -n '+' -t A -V $TEST_IP -e never -c test_gns_lookup.conf
  26. gnunet-arm -e -c test_gns_lookup.conf
  27. rm -rf /tmp/test-gnunet-gns-peer-1/
  28. if [ "$RES_IP" == "$TEST_IP" ]
  29. then
  30. exit 0
  31. else
  32. echo "Failed to resolve to proper IP, got $RES_IP."
  33. exit 1
  34. fi